package de.mlessmann.certassist.openssl;

import lombok.Builder;
import lombok.Getter;

import java.util.List;

@Getter
@Builder
public class CertificateRequestExtension {

    private List<String> alternativeNames;

    public static class CertificateRequestExtensionBuilder {
        public CertificateRequestExtensionBuilder alternativeNames(String... altNames) {
            this.alternativeNames = List.of(altNames);
            return this;
        }
    }
}
